# Getting Sessions

Endpoint: GET /sessions
Version: v3.0: 3.30.0
Security: Auth API User Token

## Query parameters:

  - `Filter` (array)
    Filter results by MobileStatus. Accepts string values like "Finalized" and maps to enum value for DB. (Active = 1, Finalized = 2, Recount = 3, Processed = 4)

  - `PageNumber` (integer)
    Page Number for the result set.

This is expected to be an integer value greater than 0. Defaults to 1 when not passed in.

For more information see the Getting Started Section for Pagination.

  - `PageSize` (integer)
    Page Size
- Default page size: 100 
- Max page size: 500

This is expected to be an integer value greater than 0. Defaults to 100 when not passed in.

For more information see the Getting Started Section for Pagination.

  - `Expand` (array)

  - `OrderBy` (array)

  - `enableSessionItemCountNullCoalescence` (boolean)

## Response 200 fields (application/json):

  - `sessionID` (string)
    Yellow Dog's SessionID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `storeID` (string | null)
    Unique ID of the Yellow Dog store where the item was counted; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `description` (string | null)
    Description of the Session (I.E. January Inventory)

  - `userID` (string)
    Yellow Dog's UserID for the User; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `device` (string | null)
    The device used to perform the count session

  - `mobileStatus` (integer)
    Enum: 0, 1, 2, 3, 4

  - `lastUpdated` (string)
    DateTime when this item was last updated in Yellow Dog, in ISO 8601 format

  - `countSheetID` (string | null)
    Yellow Dog's CountSheetID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `sessionItems` (array | null)

  - `sessionItems.sessionItemID` (string)
    Yellow Dog's SessionID for the Item Counted in the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `sessionItems.sessionID` (string)
    Yellow Dog's SessionID for the Session; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `sessionItems.itemID` (string)
    Yellow Dog's Item ID for the item; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `sessionItems.count` (number | null)

  - `sessionItems.flagID` (string | null)
    FlagID is the unique identifier for the Flag; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `sessionItems.levelID` (string | null)

## Response 500 fields (application/json):

  - `message` (string | null)

  - `errors` (array | null)

  - `errors.message` (string | null)

  - `errors.extensions` (string | null)

